<?php
require_once(dirname(__DIR__) . '/includes/getFunctions.php');
require_once(dirname(__DIR__) . '/settings/settings.php');
$settings = new settings();
$dbget = new getFunctions();
$trust_code = $settings->getTrustCode();
$server_name = $settings->getServerName();
$trustData = $dbget->getTrustDetails($trust_code, $server_name);
$domain_name=$_SERVER['SERVER_NAME'];
//echo $domain_name;
$login_admin='https://admin.'.$domain_name;
//echo $login_admin;
$favicon = 'https://'.$server_name.'/'.'images/'.'logo/'.$trust_code .'_favicon.ico';
//echo $favicon;
$trust_name = $trustData[0]['trust_name'];
//echo $trust_name;
$trust_address = $trustData[0]['trust_address'];
$trust_logo_path = $trustData[0]['trust_logo_path'];
//echo $trust_logo_path;
$trust_tag_line = $trustData[0]['trust_tag_line'];
$trust_heading = $trustData[0]['trust_heading'];
$trust_estb_year = $trustData[0]['trust_estb_year'];
$trust_reg_no = $trustData[0]['trust_reg_no'];
$officail_contact_no1 = $trustData[0]['officail_contact_no1'];
$officail_contact_no2 = $trustData[0]['officail_contact_no2'];
$officail_email = $trustData[0]['officail_email'];
$website = $trustData[0]['website'];
$trustee_name = $trustData[0]['trustee_name'];
$trustee_qualification = $trustData[0]['trustee_qualification'];
?>

<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
   <link rel="icon" href="<?php echo $favicon; ?>" type="image/x-icon" />
  <title><?php echo isset($trust_name) ? htmlspecialchars($trust_name) : "My Trust"; ?></title>

  <!-- Bootstrap CSS -->
  <link rel="stylesheet" href="css/styles.css">
  <link rel="stylesheet" href="css/contact.css">
  <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/css/bootstrap.min.css" rel="stylesheet">
  <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
  <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
  <link href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600&display=swap" rel="stylesheet">
  <style>
  
.navbar {
  padding: 1px;
    background-color: #004080 !important;
    box-shadow: 0px 4px 5px rgba(0, 0, 0, 0.2);
    display: flex;
    align-items: center;
    justify-content: center; 
}

.navbar-brand {
    display: flex;
    align-items: center;
    gap: 8px;
}

.navbar-brand img {
    height: 50px; 
    border-radius: 50px;
}

.trust-name {
    color: white;
    font-size: 25px; 
    font-weight: bold;
}

.navbar-toggler {
    border: 2px solid #ffcc00;
    border-radius: 5px;
    padding: 6px 12px;
    margin-left: 10px; 
}

.navbar-nav {
    margin-left: auto;
}

.nav-link {
  text-align: center;
    color: white !important;
    font-weight: 600;
    transition: 0.3s;
}
.navbar-toggler:focus, .navbar-toggler:active {
    outline: none !important;
    box-shadow: none !important;
}

.navbar-toggler-icon {
    width: 30px;
    height: 3px;
    color: white !important; 
}

.nav-link:hover {
    color: #ffcc00 !important;
}

.donate-btn {
    background-color: #ff5a5f;
    color: white !important;
    padding: 8px 15px;
    border-radius: 20px;
    transition: 0.3s;
}

.donate-btn:hover {
    background-color: #e0484d;
}

@media (max-width: 768px) {
    .navbar {
        padding: 8px 12px;
    }

    .navbar-brand img {
        height: 35px; 
    }

    .trust-name {
        font-size: 17px; 
    }

    .navbar-toggler {
        padding: 4px 10px;
        border-radius: 5px;
        border: 2px solid #ffcc00;
    }

    .navbar-toggler-icon {
        width: 24px;
        height: 24px;
    }
}
  </style>
</head>

<body>
  <nav class="navbar navbar-expand-lg navbar-dark sticky-top">
    <div class="container d-flex align-items-center">
        <a class="navbar-brand" href="index.php">
            <img src="<?php echo $trust_logo_path; ?>" alt="Logo">
            <span class="trust-name"><?php echo htmlspecialchars($trust_name); ?></span>
        </a>
        <button class="navbar-toggler" type="button" id="navbar-toggler">
            <span class="navbar-toggler-icon"></span>
        </button>

        <!-- Navbar Links -->
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav ms-auto">
                <li class="nav-item"><a class="nav-link" href="index.php">Home</a></li>
                <li class="nav-item"><a class="nav-link" href="gallery.php">Gallery</a></li>
                <li class="nav-item"><a class="nav-link" href="contact.php">Contact Us</a></li>
                <li class="nav-item"> <a class="nav-link donate-btn" href="DonationPage.php">Donate ❤️</a></li>
            </ul>
        </div>
    </div>
  </nav>

  <!-- Bootstrap JS -->
  <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.3/dist/js/bootstrap.bundle.min.js"></script>

  <script>
    document.addEventListener("DOMContentLoaded", function() {
        let navbarToggler = document.getElementById("navbar-toggler");
        let navbarNav = document.getElementById("navbarNav");

        navbarToggler.addEventListener("click", function() {
            navbarNav.classList.toggle("show");
        });

        // Close menu when clicking outside
        document.addEventListener("click", function(event) {
            if (!navbarNav.contains(event.target) && !navbarToggler.contains(event.target)) {
                navbarNav.classList.remove("show");
            }
        });
    });
  </script>

</body>
</html>
